PHP фреймворк Yii2 использует версию PHP не ниже 5.4. Рассмотрим как установить его на OpenServer (как установить OpenSever).

Заходим в настройки сервера и выставляем версию как показано на рисунке

OpenServer настройка версии PHP

Подробнее